/**
 * output package name
 */
package com.kingdee.eas.custom.esign.client;

import org.apache.log4j.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.border.*;
import javax.swing.BorderFactory;
import javax.swing.event.*;
import javax.swing.KeyStroke;

import com.kingdee.bos.ctrl.swing.*;
import com.kingdee.bos.ctrl.kdf.table.*;
import com.kingdee.bos.ctrl.kdf.data.event.*;
import com.kingdee.bos.dao.*;
import com.kingdee.bos.dao.query.*;
import com.kingdee.bos.metadata.*;
import com.kingdee.bos.metadata.entity.*;
import com.kingdee.bos.ui.face.*;
import com.kingdee.bos.ui.util.ResourceBundleHelper;
import com.kingdee.bos.util.BOSUuid;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.jdbc.rowset.IRowSet;
import com.kingdee.util.enums.EnumUtils;
import com.kingdee.bos.ui.face.UIRuleUtil;
import com.kingdee.bos.ctrl.swing.event.*;
import com.kingdee.bos.ctrl.kdf.table.event.*;
import com.kingdee.bos.ctrl.extendcontrols.*;
import com.kingdee.bos.ctrl.kdf.util.render.*;
import com.kingdee.bos.ui.face.IItemAction;
import com.kingdee.eas.framework.batchHandler.RequestContext;
import com.kingdee.bos.ui.util.IUIActionPostman;
import com.kingdee.bos.appframework.client.servicebinding.ActionProxyFactory;
import com.kingdee.bos.appframework.uistatemanage.ActionStateConst;
import com.kingdee.bos.appframework.validator.ValidateHelper;
import com.kingdee.bos.appframework.uip.UINavigator;


/**
 * output class name
 */
public abstract class AbstractEsignLogEditUI extends com.kingdee.eas.framework.client.EditUI
{
    private static final Logger logger = CoreUIObject.getLogger(AbstractEsignLogEditUI.class);
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer kDLabelContainer1;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer kDLabelContainer2;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer kDLabelContainer3;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer kDLabelContainer4;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contadminOrgUnit;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer conturl;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contesiginName;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contrequestData;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contresponseData;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contsource;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contmsg;
    protected com.kingdee.bos.ctrl.swing.KDLabelContainer contrequestState;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtNumber;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizMultiLangBox txtName;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtSimpleName;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizMultiLangBox txtDescription;
    protected com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox prmtadminOrgUnit;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPaneurl;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txturl;
    protected com.kingdee.bos.ctrl.swing.KDComboBox esiginName;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPanerequestData;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtrequestData;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPaneresponseData;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtresponseData;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtsource;
    protected com.kingdee.bos.ctrl.swing.KDScrollPane scrollPanemsg;
    protected com.kingdee.bos.ctrl.swing.KDTextArea txtmsg;
    protected com.kingdee.bos.ctrl.swing.KDTextField txtrequestState;
    protected com.kingdee.eas.custom.esign.EsignLogInfo editData = null;
    /**
     * output class constructor
     */
    public AbstractEsignLogEditUI() throws Exception
    {
        super();
        this.defaultObjectName = "editData";
        jbInit();
        
        initUIP();
    }

    /**
     * output jbInit method
     */
    private void jbInit() throws Exception
    {
        this.resHelper = new ResourceBundleHelper(AbstractEsignLogEditUI.class.getName());
        this.setUITitle(resHelper.getString("this.title"));
        this.kDLabelContainer1 = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.kDLabelContainer2 = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.kDLabelContainer3 = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.kDLabelContainer4 = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contadminOrgUnit = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.conturl = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contesiginName = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contrequestData = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contresponseData = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contsource = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contmsg = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.contrequestState = new com.kingdee.bos.ctrl.swing.KDLabelContainer();
        this.txtNumber = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtName = new com.kingdee.bos.ctrl.extendcontrols.KDBizMultiLangBox();
        this.txtSimpleName = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.txtDescription = new com.kingdee.bos.ctrl.extendcontrols.KDBizMultiLangBox();
        this.prmtadminOrgUnit = new com.kingdee.bos.ctrl.extendcontrols.KDBizPromptBox();
        this.scrollPaneurl = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txturl = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.esiginName = new com.kingdee.bos.ctrl.swing.KDComboBox();
        this.scrollPanerequestData = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtrequestData = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.scrollPaneresponseData = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtresponseData = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.txtsource = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.scrollPanemsg = new com.kingdee.bos.ctrl.swing.KDScrollPane();
        this.txtmsg = new com.kingdee.bos.ctrl.swing.KDTextArea();
        this.txtrequestState = new com.kingdee.bos.ctrl.swing.KDTextField();
        this.kDLabelContainer1.setName("kDLabelContainer1");
        this.kDLabelContainer2.setName("kDLabelContainer2");
        this.kDLabelContainer3.setName("kDLabelContainer3");
        this.kDLabelContainer4.setName("kDLabelContainer4");
        this.contadminOrgUnit.setName("contadminOrgUnit");
        this.conturl.setName("conturl");
        this.contesiginName.setName("contesiginName");
        this.contrequestData.setName("contrequestData");
        this.contresponseData.setName("contresponseData");
        this.contsource.setName("contsource");
        this.contmsg.setName("contmsg");
        this.contrequestState.setName("contrequestState");
        this.txtNumber.setName("txtNumber");
        this.txtName.setName("txtName");
        this.txtSimpleName.setName("txtSimpleName");
        this.txtDescription.setName("txtDescription");
        this.prmtadminOrgUnit.setName("prmtadminOrgUnit");
        this.scrollPaneurl.setName("scrollPaneurl");
        this.txturl.setName("txturl");
        this.esiginName.setName("esiginName");
        this.scrollPanerequestData.setName("scrollPanerequestData");
        this.txtrequestData.setName("txtrequestData");
        this.scrollPaneresponseData.setName("scrollPaneresponseData");
        this.txtresponseData.setName("txtresponseData");
        this.txtsource.setName("txtsource");
        this.scrollPanemsg.setName("scrollPanemsg");
        this.txtmsg.setName("txtmsg");
        this.txtrequestState.setName("txtrequestState");
        // CoreUI		
        this.btnPrint.setVisible(false);		
        this.btnPrintPreview.setVisible(false);		
        this.menuItemPrint.setVisible(false);		
        this.menuItemPrintPreview.setVisible(false);
        // kDLabelContainer1		
        this.kDLabelContainer1.setBoundLabelText(resHelper.getString("kDLabelContainer1.boundLabelText"));		
        this.kDLabelContainer1.setBoundLabelLength(100);		
        this.kDLabelContainer1.setBoundLabelUnderline(true);
        // kDLabelContainer2		
        this.kDLabelContainer2.setBoundLabelText(resHelper.getString("kDLabelContainer2.boundLabelText"));		
        this.kDLabelContainer2.setBoundLabelLength(100);		
        this.kDLabelContainer2.setBoundLabelUnderline(true);
        // kDLabelContainer3		
        this.kDLabelContainer3.setBoundLabelText(resHelper.getString("kDLabelContainer3.boundLabelText"));		
        this.kDLabelContainer3.setBoundLabelLength(100);		
        this.kDLabelContainer3.setBoundLabelUnderline(true);
        // kDLabelContainer4		
        this.kDLabelContainer4.setBoundLabelText(resHelper.getString("kDLabelContainer4.boundLabelText"));		
        this.kDLabelContainer4.setBoundLabelLength(100);		
        this.kDLabelContainer4.setBoundLabelUnderline(true);		
        this.kDLabelContainer4.setBoundLabelAlignment(7);		
        this.kDLabelContainer4.setVisible(true);
        // contadminOrgUnit		
        this.contadminOrgUnit.setBoundLabelText(resHelper.getString("contadminOrgUnit.boundLabelText"));		
        this.contadminOrgUnit.setBoundLabelLength(100);		
        this.contadminOrgUnit.setBoundLabelUnderline(true);		
        this.contadminOrgUnit.setVisible(true);
        // conturl		
        this.conturl.setBoundLabelText(resHelper.getString("conturl.boundLabelText"));		
        this.conturl.setBoundLabelLength(100);		
        this.conturl.setBoundLabelUnderline(true);		
        this.conturl.setVisible(true);
        // contesiginName		
        this.contesiginName.setBoundLabelText(resHelper.getString("contesiginName.boundLabelText"));		
        this.contesiginName.setBoundLabelLength(100);		
        this.contesiginName.setBoundLabelUnderline(true);		
        this.contesiginName.setVisible(true);
        // contrequestData		
        this.contrequestData.setBoundLabelText(resHelper.getString("contrequestData.boundLabelText"));		
        this.contrequestData.setBoundLabelLength(100);		
        this.contrequestData.setBoundLabelUnderline(true);		
        this.contrequestData.setVisible(true);
        // contresponseData		
        this.contresponseData.setBoundLabelText(resHelper.getString("contresponseData.boundLabelText"));		
        this.contresponseData.setBoundLabelLength(100);		
        this.contresponseData.setBoundLabelUnderline(true);		
        this.contresponseData.setVisible(true);
        // contsource		
        this.contsource.setBoundLabelText(resHelper.getString("contsource.boundLabelText"));		
        this.contsource.setBoundLabelLength(100);		
        this.contsource.setBoundLabelUnderline(true);		
        this.contsource.setVisible(true);
        // contmsg		
        this.contmsg.setBoundLabelText(resHelper.getString("contmsg.boundLabelText"));		
        this.contmsg.setBoundLabelLength(100);		
        this.contmsg.setBoundLabelUnderline(true);		
        this.contmsg.setVisible(true);
        // contrequestState		
        this.contrequestState.setBoundLabelText(resHelper.getString("contrequestState.boundLabelText"));		
        this.contrequestState.setBoundLabelLength(100);		
        this.contrequestState.setBoundLabelUnderline(true);		
        this.contrequestState.setVisible(true);
        // txtNumber		
        this.txtNumber.setMaxLength(80);
        // txtName
        // txtSimpleName		
        this.txtSimpleName.setMaxLength(80);
        // txtDescription
        // prmtadminOrgUnit		
        this.prmtadminOrgUnit.setQueryInfo("com.kingdee.eas.basedata.org.app.AdminItemQuery");		
        this.prmtadminOrgUnit.setVisible(true);		
        this.prmtadminOrgUnit.setEditable(true);		
        this.prmtadminOrgUnit.setDisplayFormat("$name$");		
        this.prmtadminOrgUnit.setEditFormat("$number$");		
        this.prmtadminOrgUnit.setCommitFormat("$number$");		
        this.prmtadminOrgUnit.setRequired(true);
        		setOrgF7(prmtadminOrgUnit,com.kingdee.eas.basedata.org.OrgType.getEnum("Admin"));
					
        // scrollPaneurl
        // txturl		
        this.txturl.setVisible(true);		
        this.txturl.setRequired(false);		
        this.txturl.setMaxLength(800);
        // esiginName		
        this.esiginName.setVisible(true);		
        this.esiginName.addItems(EnumUtils.getEnumList("com.kingdee.eas.custom.esign.bizEnum.EsignConfigEnum").toArray());		
        this.esiginName.setRequired(false);
        // scrollPanerequestData
        // txtrequestData		
        this.txtrequestData.setVisible(true);		
        this.txtrequestData.setRequired(false);		
        this.txtrequestData.setMaxLength(8000);
        // scrollPaneresponseData
        // txtresponseData		
        this.txtresponseData.setVisible(true);		
        this.txtresponseData.setRequired(false);		
        this.txtresponseData.setMaxLength(8000);
        // txtsource		
        this.txtsource.setVisible(true);		
        this.txtsource.setHorizontalAlignment(2);		
        this.txtsource.setMaxLength(100);		
        this.txtsource.setRequired(false);
        // scrollPanemsg
        // txtmsg		
        this.txtmsg.setVisible(true);		
        this.txtmsg.setRequired(false);		
        this.txtmsg.setMaxLength(500);
        // txtrequestState		
        this.txtrequestState.setVisible(true);		
        this.txtrequestState.setHorizontalAlignment(2);		
        this.txtrequestState.setMaxLength(100);		
        this.txtrequestState.setRequired(false);
        this.setFocusTraversalPolicy(new com.kingdee.bos.ui.UIFocusTraversalPolicy(new java.awt.Component[] {txturl,esiginName,txtrequestData,txtSimpleName,txtDescription,txtNumber,txtName,prmtadminOrgUnit,txtresponseData,txtsource,txtmsg,txtrequestState}));
        this.setFocusCycleRoot(true);
		//Register control's property binding
		registerBindings();
		registerUIState();


    }

	public com.kingdee.bos.ctrl.swing.KDToolBar[] getUIMultiToolBar(){
		java.util.List list = new java.util.ArrayList();
		com.kingdee.bos.ctrl.swing.KDToolBar[] bars = super.getUIMultiToolBar();
		if (bars != null) {
			list.addAll(java.util.Arrays.asList(bars));
		}
		return (com.kingdee.bos.ctrl.swing.KDToolBar[])list.toArray(new com.kingdee.bos.ctrl.swing.KDToolBar[list.size()]);
	}




    /**
     * output initUIContentLayout method
     */
    public void initUIContentLayout()
    {
        this.setBounds(new Rectangle(0, 0, 1013, 629));
        this.setLayout(null);
        kDLabelContainer1.setBounds(new Rectangle(102, 44, 270, 19));
        this.add(kDLabelContainer1, null);
        kDLabelContainer2.setBounds(new Rectangle(102, 81, 270, 19));
        this.add(kDLabelContainer2, null);
        kDLabelContainer3.setBounds(new Rectangle(102, 118, 270, 19));
        this.add(kDLabelContainer3, null);
        kDLabelContainer4.setBounds(new Rectangle(102, 155, 270, 19));
        this.add(kDLabelContainer4, null);
        contadminOrgUnit.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contadminOrgUnit, null);
        conturl.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(conturl, null);
        contesiginName.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contesiginName, null);
        contrequestData.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contrequestData, null);
        contresponseData.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contresponseData, null);
        contsource.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contsource, null);
        contmsg.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contmsg, null);
        contrequestState.setBounds(new Rectangle(0, 0, 270, 19));
        this.add(contrequestState, null);
        //kDLabelContainer1
        kDLabelContainer1.setBoundEditor(txtNumber);
        //kDLabelContainer2
        kDLabelContainer2.setBoundEditor(txtName);
        //kDLabelContainer3
        kDLabelContainer3.setBoundEditor(txtSimpleName);
        //kDLabelContainer4
        kDLabelContainer4.setBoundEditor(txtDescription);
        //contadminOrgUnit
        contadminOrgUnit.setBoundEditor(prmtadminOrgUnit);
        //conturl
        conturl.setBoundEditor(scrollPaneurl);
        //scrollPaneurl
        scrollPaneurl.getViewport().add(txturl, null);
        //contesiginName
        contesiginName.setBoundEditor(esiginName);
        //contrequestData
        contrequestData.setBoundEditor(scrollPanerequestData);
        //scrollPanerequestData
        scrollPanerequestData.getViewport().add(txtrequestData, null);
        //contresponseData
        contresponseData.setBoundEditor(scrollPaneresponseData);
        //scrollPaneresponseData
        scrollPaneresponseData.getViewport().add(txtresponseData, null);
        //contsource
        contsource.setBoundEditor(txtsource);
        //contmsg
        contmsg.setBoundEditor(scrollPanemsg);
        //scrollPanemsg
        scrollPanemsg.getViewport().add(txtmsg, null);
        //contrequestState
        contrequestState.setBoundEditor(txtrequestState);

    }


    /**
     * output initUIMenuBarLayout method
     */
    public void initUIMenuBarLayout()
    {
        this.menuBar.add(menuFile);
        this.menuBar.add(menuEdit);
        this.menuBar.add(MenuService);
        this.menuBar.add(menuView);
        this.menuBar.add(menuBiz);
        this.menuBar.add(menuTool);
        this.menuBar.add(menuHelp);
        //menuFile
        menuFile.add(menuItemAddNew);
        menuFile.add(kDSeparator1);
        menuFile.add(menuItemCloudFeed);
        menuFile.add(menuItemSave);
        menuFile.add(menuItemCloudScreen);
        menuFile.add(menuItemSubmit);
        menuFile.add(menuItemCloudShare);
        menuFile.add(menuSubmitOption);
        menuFile.add(kdSeparatorFWFile1);
        menuFile.add(rMenuItemSubmit);
        menuFile.add(rMenuItemSubmitAndAddNew);
        menuFile.add(rMenuItemSubmitAndPrint);
        menuFile.add(separatorFile1);
        menuFile.add(MenuItemAttachment);
        menuFile.add(kDSeparator2);
        menuFile.add(menuItemPageSetup);
        menuFile.add(menuItemPrint);
        menuFile.add(menuItemPrintPreview);
        menuFile.add(kDSeparator3);
        menuFile.add(menuItemExitCurrent);
        //menuSubmitOption
        menuSubmitOption.add(chkMenuItemSubmitAndAddNew);
        menuSubmitOption.add(chkMenuItemSubmitAndPrint);
        //menuEdit
        menuEdit.add(menuItemCopy);
        menuEdit.add(menuItemEdit);
        menuEdit.add(menuItemRemove);
        menuEdit.add(kDSeparator4);
        menuEdit.add(menuItemReset);
        //MenuService
        MenuService.add(MenuItemKnowStore);
        MenuService.add(MenuItemAnwser);
        MenuService.add(SepratorService);
        MenuService.add(MenuItemRemoteAssist);
        //menuView
        menuView.add(menuItemFirst);
        menuView.add(menuItemPre);
        menuView.add(menuItemNext);
        menuView.add(menuItemLast);
        //menuBiz
        menuBiz.add(menuItemCancelCancel);
        menuBiz.add(menuItemCancel);
        //menuTool
        menuTool.add(menuItemMsgFormat);
        menuTool.add(menuItemSendMessage);
        menuTool.add(menuItemCalculator);
        menuTool.add(menuItemToolBarCustom);
        //menuHelp
        menuHelp.add(menuItemHelp);
        menuHelp.add(kDSeparator12);
        menuHelp.add(menuItemRegPro);
        menuHelp.add(menuItemPersonalSite);
        menuHelp.add(helpseparatorDiv);
        menuHelp.add(menuitemProductval);
        menuHelp.add(kDSeparatorProduct);
        menuHelp.add(menuItemAbout);

    }

    /**
     * output initUIToolBarLayout method
     */
    public void initUIToolBarLayout()
    {
        this.toolBar.add(btnAddNew);
        this.toolBar.add(btnCloud);
        this.toolBar.add(btnEdit);
        this.toolBar.add(btnXunTong);
        this.toolBar.add(btnReset);
        this.toolBar.add(kDSeparatorCloud);
        this.toolBar.add(btnSave);
        this.toolBar.add(btnSubmit);
        this.toolBar.add(btnCopy);
        this.toolBar.add(btnRemove);
        this.toolBar.add(btnAttachment);
        this.toolBar.add(separatorFW1);
        this.toolBar.add(btnPageSetup);
        this.toolBar.add(btnPrint);
        this.toolBar.add(btnPrintPreview);
        this.toolBar.add(separatorFW2);
        this.toolBar.add(btnFirst);
        this.toolBar.add(btnPre);
        this.toolBar.add(btnNext);
        this.toolBar.add(btnLast);
        this.toolBar.add(separatorFW3);
        this.toolBar.add(btnCancelCancel);
        this.toolBar.add(btnCancel);


    }

	//Regiester control's property binding.
	private void registerBindings(){
		dataBinder.registerBinding("number", String.class, this.txtNumber, "text");
		dataBinder.registerBinding("name", String.class, this.txtName, "_multiLangItem");
		dataBinder.registerBinding("simpleName", String.class, this.txtSimpleName, "text");
		dataBinder.registerBinding("description", String.class, this.txtDescription, "_multiLangItem");
		dataBinder.registerBinding("adminOrgUnit", com.kingdee.eas.basedata.org.AdminOrgUnitInfo.class, this.prmtadminOrgUnit, "data");
		dataBinder.registerBinding("url", String.class, this.txturl, "text");
		dataBinder.registerBinding("esiginName", com.kingdee.eas.custom.esign.bizEnum.EsignConfigEnum.class, this.esiginName, "selectedItem");
		dataBinder.registerBinding("requestData", String.class, this.txtrequestData, "text");
		dataBinder.registerBinding("responseData", String.class, this.txtresponseData, "text");
		dataBinder.registerBinding("source", String.class, this.txtsource, "text");
		dataBinder.registerBinding("msg", String.class, this.txtmsg, "text");
		dataBinder.registerBinding("requestState", String.class, this.txtrequestState, "text");		
	}
	//Regiester UI State
	private void registerUIState(){
	        getActionManager().registerUIState(STATUS_ADDNEW, this.txtName, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_ADDNEW, this.txtDescription, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_ADDNEW, this.txtNumber, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_ADDNEW, this.txtSimpleName, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_EDIT, this.txtName, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_EDIT, this.txtDescription, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_EDIT, this.txtNumber, ActionStateConst.ENABLED);
	        getActionManager().registerUIState(STATUS_EDIT, this.txtSimpleName, ActionStateConst.ENABLED);					 	        		
	        getActionManager().registerUIState(STATUS_VIEW, this.txtName, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_VIEW, this.txtDescription, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_VIEW, this.txtNumber, ActionStateConst.DISABLED);					 	        		
	        getActionManager().registerUIState(STATUS_VIEW, this.txtSimpleName, ActionStateConst.DISABLED);		
	}
	public String getUIHandlerClassName() {
	    return "com.kingdee.eas.custom.esign.app.EsignLogEditUIHandler";
	}
	public IUIActionPostman prepareInit() {
		IUIActionPostman clientHanlder = super.prepareInit();
		if (clientHanlder != null) {
			RequestContext request = new RequestContext();
    		request.setClassName(getUIHandlerClassName());
			clientHanlder.setRequestContext(request);
		}
		return clientHanlder;
    }
	
	public boolean isPrepareInit() {
    	return false;
    }
    protected void initUIP() {
        super.initUIP();
    }


    /**
     * output onShow method
     */
    public void onShow() throws Exception
    {
        super.onShow();
        this.txturl.requestFocusInWindow();
    }

	
	

    /**
     * output setDataObject method
     */
    public void setDataObject(IObjectValue dataObject)
    {
        IObjectValue ov = dataObject;        	    	
        super.setDataObject(ov);
        this.editData = (com.kingdee.eas.custom.esign.EsignLogInfo)ov;
    }
    protected void removeByPK(IObjectPK pk) throws Exception {
    	IObjectValue editData = this.editData;
    	super.removeByPK(pk);
    	recycleNumberByOrg(editData,"Admin",editData.getString("number"));
    }
    
    protected void recycleNumberByOrg(IObjectValue editData,String orgType,String number) {
        if (!StringUtils.isEmpty(number))
        {
            try {
            	String companyID = null;            
            	com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID =com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}				
				if (!StringUtils.isEmpty(companyID) && iCodingRuleManager.isExist(editData, companyID) && iCodingRuleManager.isUseIntermitNumber(editData, companyID)) {
					iCodingRuleManager.recycleNumber(editData,companyID,number);					
				}
            }
            catch (Exception e)
            {
                handUIException(e);
            }
        }
    }
    protected void setAutoNumberByOrg(String orgType) {
    	if (editData == null) return;
		if (editData.getNumber() == null) {
            try {
            	String companyID = null;
				if(!com.kingdee.util.StringUtils.isEmpty(orgType) && !"NONE".equalsIgnoreCase(orgType) && com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType))!=null) {
					companyID = com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum(orgType)).getString("id");
				}
				else if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit() != null) {
					companyID = ((com.kingdee.eas.basedata.org.OrgUnitInfo)com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit()).getString("id");
            	}
				com.kingdee.eas.base.codingrule.ICodingRuleManager iCodingRuleManager = com.kingdee.eas.base.codingrule.CodingRuleManagerFactory.getRemoteInstance();
		        if (iCodingRuleManager.isExist(editData, companyID)) {
		            if (iCodingRuleManager.isAddView(editData, companyID)) {
		            	editData.setNumber(iCodingRuleManager.getNumber(editData,companyID));
		            }
	                txtNumber.setEnabled(false);
		        }
            }
            catch (Exception e) {
                handUIException(e);
                this.oldData = editData;
                com.kingdee.eas.util.SysUtil.abort();
            } 
        } 
        else {
            if (editData.getNumber().trim().length() > 0) {
                txtNumber.setText(editData.getNumber());
            }
        }
    }
			protected com.kingdee.eas.basedata.org.OrgType getMainBizOrgType() {
			return com.kingdee.eas.basedata.org.OrgType.getEnum("Admin");
		}

	protected KDBizPromptBox getMainBizOrg() {
		return prmtadminOrgUnit;
}


    /**
     * output loadFields method
     */
    public void loadFields()
    {
        		setAutoNumberByOrg("Admin");
        dataBinder.loadFields();
    }
		protected void setOrgF7(KDBizPromptBox f7,com.kingdee.eas.basedata.org.OrgType orgType) throws Exception
		{
			com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer oufip = new com.kingdee.eas.basedata.org.client.f7.NewOrgUnitFilterInfoProducer(orgType);
			oufip.getModel().setIsCUFilter(true);
			f7.setFilterInfoProducer(oufip);
		}

    /**
     * output storeFields method
     */
    public void storeFields()
    {
		dataBinder.storeFields();
    }

	/**
	 * ????????งต??
	 */
	protected void registerValidator() {
    	getValidateHelper().setCustomValidator( getValidator() );
		getValidateHelper().registerBindProperty("number", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("name", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("simpleName", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("description", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("adminOrgUnit", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("url", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("esiginName", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("requestData", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("responseData", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("source", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("msg", ValidateHelper.ON_SAVE);    
		getValidateHelper().registerBindProperty("requestState", ValidateHelper.ON_SAVE);    		
	}



    /**
     * output setOprtState method
     */
    public void setOprtState(String oprtType)
    {
        super.setOprtState(oprtType);
        if (STATUS_ADDNEW.equals(this.oprtState)) {
		            this.txtName.setEnabled(true);
		            this.txtDescription.setEnabled(true);
		            this.txtNumber.setEnabled(true);
		            this.txtSimpleName.setEnabled(true);
        } else if (STATUS_EDIT.equals(this.oprtState)) {
		            this.txtName.setEnabled(true);
		            this.txtDescription.setEnabled(true);
		            this.txtNumber.setEnabled(true);
		            this.txtSimpleName.setEnabled(true);
        } else if (STATUS_VIEW.equals(this.oprtState)) {
		            this.txtName.setEnabled(false);
		            this.txtDescription.setEnabled(false);
		            this.txtNumber.setEnabled(false);
		            this.txtSimpleName.setEnabled(false);
        }
    }

    /**
     * output getSelectors method
     */
    public SelectorItemCollection getSelectors()
    {
        SelectorItemCollection sic = new SelectorItemCollection();
		String selectorAll = System.getProperty("selector.all");
		if(StringUtils.isEmpty(selectorAll)){
			selectorAll = "true";
		}
        sic.add(new SelectorItemInfo("number"));
        sic.add(new SelectorItemInfo("name"));
        sic.add(new SelectorItemInfo("simpleName"));
        sic.add(new SelectorItemInfo("description"));
		if(selectorAll.equalsIgnoreCase("true"))
		{
			sic.add(new SelectorItemInfo("adminOrgUnit.*"));
		}
		else{
        	sic.add(new SelectorItemInfo("adminOrgUnit.id"));
        	sic.add(new SelectorItemInfo("adminOrgUnit.number"));
        	sic.add(new SelectorItemInfo("adminOrgUnit.name"));
		}
        sic.add(new SelectorItemInfo("url"));
        sic.add(new SelectorItemInfo("esiginName"));
        sic.add(new SelectorItemInfo("requestData"));
        sic.add(new SelectorItemInfo("responseData"));
        sic.add(new SelectorItemInfo("source"));
        sic.add(new SelectorItemInfo("msg"));
        sic.add(new SelectorItemInfo("requestState"));
        return sic;
    }        

    /**
     * output getMetaDataPK method
     */
    public IMetaDataPK getMetaDataPK()
    {
        return new MetaDataPK("com.kingdee.eas.custom.esign.client", "EsignLogEditUI");
    }

    /**
     * output getEditUIName method
     */
    protected String getEditUIName()
    {
        return com.kingdee.eas.custom.esign.client.EsignLogEditUI.class.getName();
    }

    /**
     * output getBizInterface method
     */
    protected com.kingdee.eas.framework.ICoreBase getBizInterface() throws Exception
    {
        return com.kingdee.eas.custom.esign.EsignLogFactory.getRemoteInstance();
    }

    /**
     * output createNewData method
     */
    protected IObjectValue createNewData()
    {
        com.kingdee.eas.custom.esign.EsignLogInfo objectValue = new com.kingdee.eas.custom.esign.EsignLogInfo();
				if (com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum("Admin")) != null)
			objectValue.put("adminOrgUnit",com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentOrgUnit(com.kingdee.eas.basedata.org.OrgType.getEnum("Admin")));
 
        objectValue.setCreator((com.kingdee.eas.base.permission.UserInfo)(com.kingdee.eas.common.client.SysContext.getSysContext().getCurrentUser()));		
        return objectValue;
    }



    /**
     * output getDetailTable method
     */
    protected KDTable getDetailTable() {        
        return null;
	}
    /**
     * output applyDefaultValue method
     */
    protected void applyDefaultValue(IObjectValue vo) {        
		vo.put("esiginName","EsignAppId");
        
    }        
	protected void setFieldsNull(com.kingdee.bos.dao.AbstractObjectValue arg0) {
		super.setFieldsNull(arg0);
		arg0.put("number",null);
	}

}